Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 123 - netstat -M problem
Summary: netstat -M problem
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-18 17:56 UTC by Steve Wills
Modified: 2010-08-11 05:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-06 03:10:20 UTC


Attachments (Terms of Use)

Description Steve Wills 1998-11-18 17:56:00 UTC
Running "netstat -M" reports:

netstat.c: feature `FW_MASQUERADE' not supported.
Please recompile `net-tools' with newer kernel source or
full configuration.

Comment 1 Jeff Johnson 1998-12-06 03:10:59 UTC
Enabled  HAVE_FW_MASQUERADE in dist-6.0/net-tools-1.48-1.

Comment 2 miger99 2009-08-15 07:23:41 UTC
SELinux is preventing the /usr/sbin/dovecot (dovecot_t) from binding to port
    10143.

Detailed Description
    SELinux has denied the /usr/sbin/dovecot from binding to a network port
    10143 which does not have an SELinux type associated with it. If
    /usr/sbin/dovecot is supposed to be allowed to listen on this port, you can
    use the semanage command to add this port to a inetd_child_port_t type.   If
    you think this is the default please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against the selinux-policy
    package. If /usr/sbin/dovecot is not supposed to bind to this port, this
    could signal a intrusion attempt.

Allowing Access
    If you want to allow /usr/sbin/dovecot to bind to this port semanage port -a
    -t inetd_child_port_t -p PROTOCOL 10143 Where PROTOCOL is tcp or udp.



i am redhat 5 ,and postfix mail,I try allowing:
semanage port -a -t inetd_child_port_t -p PROTOCOL 10143 Where PROTOCOL is tcp
or
semanage port -a -t inetd_child_port_t -p PROTOCOL 10143 Where PROTOCOL is udp
but it isn't suport for the command
what's wrong?
how can I do it ?
thank you!
answer to my mail:why_99@qq.com


Note You need to log in before you can comment on or make changes to this bug.